VisualEditor: Problems typing after cursoring off an inline focusable nodes in Firefox
Closed, ResolvedPublic

Description

Copied from my Russian Wikipedia talk page:

After reference VE added symbol "♙".

sample for https://ru.wikipedia.org/w/index.php?title=Гёрлфренд&oldid=58928673&veaction=edit

find ref№3 -> "к подруге.[3]"
click after the dot -> "к подруге.|[3]"
delete the dot with backspace back ->"к подруге|[3]"
press en:Arrow keys → two times ->"к подруге[3]|"
press key dot . ->
expected that will be shown the symbol "." -> "к подруге[3].|"
but it shows the symbol "♙" ->"к подруге[3]♙|"


Version: unspecified
Severity: normal

bzimport set Reference to bz67432.
Keegan created this task.Via LegacyJul 2 2014, 7:11 PM
GWicke added a comment.Via ConduitJul 2 2014, 7:13 PM

Sounds like a VE issue. Moving there.

Elitre added a comment.Via ConduitJul 7 2014, 1:02 PM

If this happens in FF, can it be related to bug 54917?

Jdforrester-WMF added a comment.Via ConduitJul 7 2014, 7:22 PM

(In reply to Elitre from comment #2)

If this happens in FF, can it be related to bug 54917?

Doesn't look like it; this was caused by insertion, not cursoring.

Esanders added a comment.Via ConduitJul 9 2014, 9:41 PM

This happens just by typing anything after an inline focusable node after cursoring off it (nothing to do with deletion). If the node is at the end of a paragraph you get a pawn, but if it isn't you get equally broken behaviour with the cursor not moving properly.

Esanders added a comment.Via ConduitJul 10 2014, 3:32 PM

Monitoring document.activeElement (the currently focussed element) it's apparent that simply setting a selection on the document (back from the paste target) doesn't changed the focussed element. This means you can move your cursor in one textbox and type in another. What the hell Firefox...

gerritbot added a comment.Via ConduitJul 10 2014, 3:52 PM

Change 145346 had a related patch set uploaded by Esanders:
Make sure the document is focused when setting a selection

https://gerrit.wikimedia.org/r/145346

gerritbot added a comment.Via ConduitJul 15 2014, 12:21 AM

Change 145346 merged by jenkins-bot:
Make sure the document is focused when setting a selection

https://gerrit.wikimedia.org/r/145346

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.